文档API 参考

Rust · 0.1.0

Delete User Notification

DELETE /api/v1/users/{user}/notifications/{notification}

UserService · UserService_DeleteUserNotification

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

仅限所有者:路径中的用户必须是已认证调用者;实例管理员身份不允许在此代替其他账号操作。

成功响应

此操作没有资源对象需要返回。Rust REST 传输将 protobuf Empty 序列化为 HTTP 200 与 JSON {}。生成接口定义中的成功结构为空是有意行为,不表示遗漏了请求说明。

请求

DeleteUserNotification deletes a notification.

DELETE/api/v1/users/{user}/notifications/{notification}

参数

名称 / 位置类型 / 是否必需描述
user
path
string
必需
The user id.
notification
path
string
必需
The notification id.

请求体

未声明请求体。

响应

200 · OK

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "UserService"
  ],
  "description": "DeleteUserNotification deletes a notification.",
  "operationId": "UserService_DeleteUserNotification",
  "parameters": [
    {
      "name": "user",
      "in": "path",
      "description": "The user id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "notification",
      "in": "path",
      "description": "The notification id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {}
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}